Run only the selected part of a SQL query

2015-03-23 02:25 AM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20600

Description

In the DB Manager, since 2.8, you can now run only the selected part of a sql query.

This feature works only with the "execute" button to see the table in the window.

You can't load the selected part in QGIS or save the selected part in a preset.

This PR [1] on the master branch should fix this when you are using the "load in qgis" button and then you save the query in a preset.

1 : https://github.com/qgis/QGIS/pull/1955

Associated revisions

Revision b1dd253f - 2015-05-27 12:56 AM - Etienne Trimaille

fix selected query (fixes #12429)

Revision acd003e0 - 2015-05-27 01:05 AM - Giuseppe Sucameli

Merge pull request #2000 from Gustry/fix-selected-query-backport

[db_manager] backport 2.8.2 fix #12429 run only the selected query

History

#1 - 2015-04-22 01:36 AM - Etienne Trimaille

Can you please review these two PR ?

The PR above 1955 was too old to be merged automatically. I had some conflicts and it was easier to start a new one.

2.9 : https://github.com/qgis/QGIS/pull/1999

2.8.2 : https://github.com/qgis/QGIS/pull/2000

This feature was in the 2.8 changelog, that's why there is also a backport.

#2 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#3 - 2015-05-14 10:35 AM - Etienne Trimaille
Let me know if there is a problem with these two PR.

Can you please review them ? 2.8.2 is already out.

#4 - 2015-05-26 04:03 PM - Etienne Trimaille

- Status changed from Open to Closed

Fixed in changeset commit:"b1dd253fc51df32f11c0d0ae7d9a2ab373582ba7".
